package basket

import (
	"github.com/jackc/pgtype"
)

type BasketEntity struct {
	ID        string           `db:"id" json:"id"`
	State     string           `db:"state" json:"state"`
	CreatedAt pgtype.Timestamp `db:"created_at" json:"created_at"`
	UpdatedAt pgtype.Timestamp `db:"updated_at" json:"updated_at,omitempty"`
}

type BasketItemEntity struct {
	ID        string           `db:"id" json:"id"`
	BasketID  string           `db:"basket_id" json:"basket_id"`
	ProductID int              `db:"product_id" json:"product_id"`
	Quantity  int              `db:"quantity" json:"quantity"`
	Price     float64          `db:"price" json:"price"`
	CreatedAt pgtype.Timestamp `db:"created_at" json:"created_at"`
	UpdatedAt pgtype.Timestamp `db:"updated_at" json:"updated_at,omitempty"`
}
